<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>HTML Attributes and Links</title>
	</head>
	<body>

		<!-- HTML Attributes - changes the default behavior of HTML elements -->

		<!-- id attiribute assigns a unique named identifier to an element -->

		<h2 id="top">HTML Attributes</h2>

		<!-- aligh attribute - changes the alignment of the paragraph element -->
		<p align="center"><em>Modifiers of element behaviors.</em></p>

		<h2>HTML Images</h2>

		<!-- HTML Entities - there a re special characters used into HTML elements to show HTML reserved characters -->

		<p>
			<em>An image can be shown using &lt;img&gt; tag along with its <strong>src attribute</strong>
			</em>
		</p>

		<!-- src attribute - accepts a url/link -->
		<!-- Using Absolute Link -->

		<!-- Note: Any HTML tag wrapped inside an anchor/ <a> tag will become clickable element.
		 -->

		<a href="https://place-puppy.com/">
		<img src="https://place-puppy.com/300x300">
		</a>

		<p>
			<!-- <code> tag - used to define a piece of computer code and display it in the browser using default monospace font -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>
		</p>

		<!-- Using Relative Link -->
		<!-- 
			-target attribute defines where the link will be opened.
			-"_blank" value will open the link in a new tab.
		 -->
		<a href="https://zuitt.co" target="_blank">
		<img src="./images/zuittlogo.png">
		</a>

		<p>
			<code>
				&lt;img src="./images/zuittlogo.png"&gt;
			</code>
		</p>

		<p> Valid image extensions are the following:</p>
		<!-- 
		-type attribute values for <ol>:
			-1 
			-A or a
			-I or i
		-reversed attribute reverses the order of the bullet points, but not the content. 
		 -->

		<ol type="a" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a></p>


		<h2>HTML Links</h2>

		<h4>Absolute Link</h4>

		<!-- 
			-<a> tag is used to create a link to different page
			-href attribute means "hypertext reference"
			Note:
			"Links" refer to a web page address (the location indicated in the href attribute) while "hyperlinks" are page elements that you can click to go to a specific web page address.
		 -->

		<a href="https://zuitt.co">I am a hyperlink</a>

		<h4>Relative Link</h4>

		<p>Go to <a href="./link.html"> link.html</a> page.</p>

		<!-- This is an example of within page relative hyperlink -->
		<p>Go to <a href="#top">top</a></p>


	</body>
</html>